import type { NamedBean } from 'ag-grid-community';
import { BeanStub } from 'ag-grid-community';
export type ChartTranslationKey = keyof typeof DEFAULT_CHART_TRANSLATIONS;
export declare const DEFAULT_CHART_TRANSLATIONS: {
    pivotChartTitle: string;
    rangeChartTitle: string;
    settings: string;
    data: string;
    format: string;
    categories: string;
    defaultCategory: string;
    series: string;
    switchCategorySeries: string;
    categoryValues: string;
    seriesLabels: string;
    aggregate: string;
    xyValues: string;
    paired: string;
    axis: string;
    xAxis: string;
    yAxis: string;
    polarAxis: string;
    radiusAxis: string;
    navigator: string;
    zoom: string;
    animation: string;
    crosshair: string;
    color: string;
    thickness: string;
    preferredLength: string;
    xType: string;
    axisType: string;
    automatic: string;
    category: string;
    number: string;
    time: string;
    timeFormat: string;
    autoRotate: string;
    labelRotation: string;
    circle: string;
    polygon: string;
    square: string;
    cross: string;
    diamond: string;
    plus: string;
    triangle: string;
    heart: string;
    orientation: string;
    fixed: string;
    parallel: string;
    perpendicular: string;
    radiusAxisPosition: string;
    ticks: string;
    gridLines: string;
    width: string;
    height: string;
    length: string;
    padding: string;
    spacing: string;
    chartStyle: string;
    title: string;
    chartTitles: string;
    chartTitle: string;
    chartSubtitle: string;
    horizontalAxisTitle: string;
    verticalAxisTitle: string;
    polarAxisTitle: string;
    titlePlaceholder: string;
    background: string;
    font: string;
    weight: string;
    top: string;
    right: string;
    bottom: string;
    left: string;
    labels: string;
    calloutLabels: string;
    sectorLabels: string;
    positionRatio: string;
    size: string;
    shape: string;
    minSize: string;
    maxSize: string;
    legend: string;
    position: string;
    markerSize: string;
    markerStroke: string;
    markerPadding: string;
    itemSpacing: string;
    itemPaddingX: string;
    itemPaddingY: string;
    layoutHorizontalSpacing: string;
    layoutVerticalSpacing: string;
    strokeWidth: string;
    offset: string;
    offsets: string;
    tooltips: string;
    callout: string;
    markers: string;
    shadow: string;
    blur: string;
    xOffset: string;
    yOffset: string;
    lineWidth: string;
    lineDash: string;
    lineDashOffset: string;
    scrollingZoom: string;
    scrollingStep: string;
    selectingZoom: string;
    durationMillis: string;
    crosshairLabel: string;
    crosshairSnap: string;
    normal: string;
    bold: string;
    italic: string;
    boldItalic: string;
    predefined: string;
    fillOpacity: string;
    strokeColor: string;
    strokeOpacity: string;
    miniChart: string;
    histogramBinCount: string;
    connectorLine: string;
    seriesItems: string;
    seriesItemType: string;
    seriesItemPositive: string;
    seriesItemNegative: string;
    seriesItemLabels: string;
    columnGroup: string;
    barGroup: string;
    pieGroup: string;
    lineGroup: string;
    scatterGroup: string;
    areaGroup: string;
    polarGroup: string;
    statisticalGroup: string;
    hierarchicalGroup: string;
    specializedGroup: string;
    combinationGroup: string;
    groupedColumnTooltip: string;
    stackedColumnTooltip: string;
    normalizedColumnTooltip: string;
    groupedBarTooltip: string;
    stackedBarTooltip: string;
    normalizedBarTooltip: string;
    pieTooltip: string;
    donutTooltip: string;
    lineTooltip: string;
    stackedLineTooltip: string;
    normalizedLineTooltip: string;
    groupedAreaTooltip: string;
    stackedAreaTooltip: string;
    normalizedAreaTooltip: string;
    scatterTooltip: string;
    bubbleTooltip: string;
    histogramTooltip: string;
    radialColumnTooltip: string;
    radialBarTooltip: string;
    radarLineTooltip: string;
    radarAreaTooltip: string;
    nightingaleTooltip: string;
    rangeBarTooltip: string;
    rangeAreaTooltip: string;
    boxPlotTooltip: string;
    treemapTooltip: string;
    sunburstTooltip: string;
    waterfallTooltip: string;
    heatmapTooltip: string;
    columnLineComboTooltip: string;
    areaColumnComboTooltip: string;
    customComboTooltip: string;
    innerRadius: string;
    startAngle: string;
    endAngle: string;
    reverseDirection: string;
    groupPadding: string;
    seriesPadding: string;
    tile: string;
    whisker: string;
    cap: string;
    capLengthRatio: string;
    labelPlacement: string;
    inside: string;
    outside: string;
    noDataToChart: string;
    pivotChartRequiresPivotMode: string;
    chartSettingsToolbarTooltip: string;
    chartLinkToolbarTooltip: string;
    chartUnlinkToolbarTooltip: string;
    chartDownloadToolbarTooltip: string;
    chartMenuToolbarTooltip: string;
    chartEdit: string;
    chartAdvancedSettings: string;
    chartLink: string;
    chartUnlink: string;
    chartDownload: string;
    histogramFrequency: string;
    seriesChartType: string;
    seriesType: string;
    secondaryAxis: string;
    seriesAdd: string;
    categoryAdd: string;
    bar: string;
    column: string;
    histogram: string;
    advancedSettings: string;
    direction: string;
    horizontal: string;
    vertical: string;
    seriesGroupType: string;
    groupedSeriesGroupType: string;
    stackedSeriesGroupType: string;
    normalizedSeriesGroupType: string;
    legendEnabled: string;
    invalidColor: string;
    groupedColumnFull: string;
    stackedColumnFull: string;
    normalizedColumnFull: string;
    groupedBarFull: string;
    stackedBarFull: string;
    normalizedBarFull: string;
    stackedAreaFull: string;
    normalizedAreaFull: string;
    stackedLineFull: string;
    normalizedLineFull: string;
    customCombo: string;
    funnel: string;
    coneFunnel: string;
    pyramid: string;
    funnelGroup: string;
    funnelTooltip: string;
    coneFunnelTooltip: string;
    pyramidTooltip: string;
    dropOff: string;
    stageLabels: string;
    reverse: string;
    groupedColumn: string;
    stackedColumn: string;
    pie: string;
    donut: string;
    line: string;
    scatter: string;
    bubble: string;
    area: string;
    stackedArea: string;
    radarLine: string;
    radarArea: string;
    nightingale: string;
    radialColumn: string;
    radialBar: string;
    boxPlot: string;
    rangeBar: string;
    rangeArea: string;
    treemap: string;
    sunburst: string;
    waterfall: string;
    heatmap: string;
    columnLineCombo: string;
    AreaColumnCombo: string;
    ariaChartMenuClose: string;
    ariaChartSelected: string;
    group: string;
    timeFormatSlashesDDMMYYYY: string;
    timeFormatSlashesMMDDYYYY: string;
    timeFormatSlashesDDMMYY: string;
    timeFormatSlashesMMDDYY: string;
    timeFormatDotsDDMYY: string;
    timeFormatDotsMDDYY: string;
    timeFormatDashesYYYYMMDD: string;
    timeFormatSpacesDDMMMMYYYY: string;
    timeFormatHHMMSS: string;
    timeFormatHHMMSSAmPm: string;
    sum: string;
    first: string;
    last: string;
    min: string;
    max: string;
    count: string;
    avg: string;
};
export declare class ChartTranslationService extends BeanStub implements NamedBean {
    beanName: "chartTranslation";
    translate(toTranslate: ChartTranslationKey): string;
}
